/**
 * @file Drv_Ex_Interrupt.c
 * @author 吳星萍 (iris@e-besthealth.com)
 * @brief  External Interrupts調用接口
 * @version 0.1
 * @date 2020-06-21
 *
 * @copyright BEST HEALTH ELECTRONIC INC (c) 2019
 *
 * Compiler Ver. : V3.57
 * IDE3000  Ver. : V8.03
 * MCU/CFG  Ver. : BH67F5362/1.1
 */

#include "Project_Global.h"
#include "BH67F5362.h"
#include "Drv_InterruptPin.h"

volatile bit INT0_FLAG;

//@------------外部中斷0入口函數--------------@
DEFINE_ISR(INT0_ISR, 0x004)
{
	// User Code
	INT0_FLAG=1;

}
//@------------外部中斷1入口函數--------------@
DEFINE_ISR(INT1_ISR, 0x008)
{
 	// User Code
}
//@------------外部中斷2入口函數计--------------@
DEFINE_ISR(INT2_ISR, 0x030)
{
	// User Code
}
//@------------外部中斷3入口函數--------------@
DEFINE_ISR(INT3_ISR, 0x034)
{
 	// User Code
}